
Redmine - Patch #2256

Allow commit messages to refer to issues in project ancestor tree, not just project

2008-12-01 15:17 - Kenneth Hoxworth

Status: Closed Start date: 2008-12-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Description

Patch to provide functionality described in #2255. Patch is against revision 2056.

Related issues:

Related to Redmine - Feature #2255: Repository commits in subprojects won't r... Closed 2008-12-01

Related to Redmine - Defect #6857: git references leaking from subproject to ... New 2010-11-09

Related to Redmine - Feature #3687: Possibility to link all projects to a sin... New 2009-07-29

History

#1 - 2011-01-18 07:05 - Toshi MARUYAMA

- Category set to SCM

#2 - 2011-01-19 16:15 - Bruno Medeiros

It's already this way.

I have a project A, with repository, and projetcs A1, A2, A3... A commit on A's repo can fix an issue on any subproject.

#3 - 2011-12-21 17:08 - Colin Mollenhour

Bruno, a commit in A1 cannot fix an issue in A2. In my case this is a problem, mainly due to restrictions caused by the strict 1-1 relation between

repos and projects. #9703 would allow for fuller control over this though.

#4 - 2011-12-21 17:32 - Mischa The Evil

Colin Mollenhour wrote:

Bruno, a commit in A1 cannot fix an issue in A2.

 Colin, starting from Redmine 0.9.2 commits are able/allowed to reference (and fix) issues of parent projects and subprojects. Just as Bruno already

said.

#5 - 2011-12-21 17:33 - Mischa The Evil

- Status changed from New to Closed

Feature already implemented with r3357 for issue #4674, which was included first in Redmine 0.9.2.

Files

refs_in_parent_projects.patch 1.59 KB 2008-12-01 Kenneth Hoxworth
